#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-1ekaiFjNVqHLAVmSzCMdDh-dns-internal
key:                  dns-4.0.1-1ekaiFjNVqHLAVmSzCMdDh-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  1f1e60100e1089291e0c753f09a01dca
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-8.10.3/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/dns-4.0.1
hs-libraries:         HSdns-4.0.1-1ekaiFjNVqHLAVmSzCMdDh-dns-internal
depends:
    array-0.5.4.0 async-2.2.2-HU4YUQBWX6T6dFTk46i6ZA
    attoparsec-0.13.2.4-4yia8KW5L0uBv6MqL2Fffi
    auto-update-0.1.6-6w8DPX7OuOK72C2Ci6EowK base-4.14.1.0
    base16-bytestring-1.0.1.0-2bKktddHaY9H9zJsf0Vy35
    base64-bytestring-1.2.0.1-LnpigkDfYdHEsNktoIc9mp
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.27-SizWYNdFMxJCD7U8GnIq
    hourglass-0.2.12-EmqpJatmoGh7pKIYlUmJKc
    iproute-1.7.10-Ld36m6ODqZfAmJ8hGmrvez mtl-2.2.2
    network-3.1.2.1-3vKRlA32nTRGwx4yz5uyAH
    psqueues-0.2.7.2-AllwUixRL2aGVITDANJtFe

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HP1Dka743CRGFJ3XU70l3w
key:                  dns-4.0.1-HP1Dka743CRGFJ3XU70l3w
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  0271c4a629b45d312d8bebc8ee8e88b8
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-8.10.3/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HP1Dka743CRGFJ3XU70l3w
depends:
    array-0.5.4.0 async-2.2.2-HU4YUQBWX6T6dFTk46i6ZA
    attoparsec-0.13.2.4-4yia8KW5L0uBv6MqL2Fffi
    auto-update-0.1.6-6w8DPX7OuOK72C2Ci6EowK base-4.14.1.0
    base16-bytestring-1.0.1.0-2bKktddHaY9H9zJsf0Vy35
    base64-bytestring-1.2.0.1-LnpigkDfYdHEsNktoIc9mp
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.27-SizWYNdFMxJCD7U8GnIq
    dns-4.0.1-1ekaiFjNVqHLAVmSzCMdDh-dns-internal
    hourglass-0.2.12-EmqpJatmoGh7pKIYlUmJKc
    iproute-1.7.10-Ld36m6ODqZfAmJ8hGmrvez mtl-2.2.2
    network-3.1.2.1-3vKRlA32nTRGwx4yz5uyAH
    psqueues-0.2.7.2-AllwUixRL2aGVITDANJtFe

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

